## org.apache.solr.common.params
Enum FacetParams.FacetDateOther

    java.lang.Object
      java.lang.Enum<FacetParams.FacetDateOther>
          org.apache.solr.common.params.FacetParams.FacetDateOther

All Implemented Interfaces:
  Serializable, Comparable<FacetParams.FacetDateOther>

Enclosing interface:
  FacetParams

    public static enum FacetParams.FacetDateOther

extends Enum<FacetParams.FacetDateOther>

An enumeration of the legal values for FACET_DATE_OTHER...

- before = the count of matches before the start date
- after = the count of matches after the end date
- between = the count of all matches between start and end
- all = all of the above (default value)
- none = no additional info requested

See Also:
  `FacetParams.FACET_DATE_OTHER`

Enum Constant Summary
`AFTER`
`ALL`
`BEFORE`
`BETWEEN`
`NONE`

Method Summary
`static FacetParams.FacetDateOther` `get(String label)`
`String` `toString()`
`static FacetParams.FacetDateOther` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FacetParams.FacetDateOther[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BEFORE

    public static final FacetParams.FacetDateOther BEFORE

### AFTER

    public static final FacetParams.FacetDateOther AFTER

### BETWEEN

    public static final FacetParams.FacetDateOther BETWEEN

### ALL

    public static final FacetParams.FacetDateOther ALL

### NONE

    public static final FacetParams.FacetDateOther NONE

Method Detail

### values

    public static final FacetParams.FacetDateOther[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(FacetParams.FacetDateOther c : FacetParams.FacetDateOther.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static FacetParams.FacetDateOther valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<FacetParams.FacetDateOther>`

### get

    public static FacetParams.FacetDateOther get(String label)

Copyright © 2010 Apache Software Foundation. All Rights Reserved.